package com.hfkj.service.user;

import com.google.zxing.WriterException;
import com.hfkj.entity.BsUserInviteCode;

import java.io.IOException;

/**
 * 用户邀请码
 * @className: UserInviteCodeService
 * @author: HuRui
 * @date: 2024/9/9
 **/
public interface BsUserInviteCodeService {

    /**
     * 创建
     * @param userId
     */
    BsUserInviteCode create(Long userId) throws Exception;

    /**
     * 查询邀请码
     * @param userId
     * @return
     */
    BsUserInviteCode getDetail(Long userId);

    /**
     * 查询邀请码
     * @param inviteCode
     * @return
     */
    BsUserInviteCode getDetail(String inviteCode);

}
