package com.hfkj.sysenum.user;

import lombok.Getter;

/**
 * 用户账户记录类型
 * @author hurui
 */
@Getter
public enum UserAccountRecordTypeEnum {
    /**
     * 进账
     */
    type1(1 , "进账"),
    /**
     * 支出
     */
    type2(2 , "支出"),
    ;

    private Integer type;
    private String name;

    UserAccountRecordTypeEnum(int type , String name) {
        this.type = type;
        this.name = name;
    }
}
