package com.hfkj.sysenum.user;

import lombok.Getter;

/**
 * @className: UserStatusEnum
 * @author: HuRui
 * @date: 2024/8/8
 **/
@Getter
public enum UserAccountStatusEnum {
    /**
     * 删除
     */
    status0(0, "删除"),

    /**
     * 正常
     */
    status1(1, "正常"),

    /**
     * 冻结
     */
    status2(2, "冻结"),
    ;

    private int code;

    private String name;


    UserAccountStatusEnum(int code, String name) {
        this.code = code;
        this.name = name;
    }
}
