package com.hfkj.service.user;

import com.hfkj.entity.BsUserAccountRecord;
import java.util.List;
import java.util.Map;

/**
 * @className: BsUserAccountRecordService
 * @author: HuRui
 * @date: 2024/9/8
 **/
public interface BsUserAccountRecordService {

    /**
     * 创建
     * @param data
     */
    void create(BsUserAccountRecord data);

    /**
     * 查询详情
     * @param id
     * @return
     */
    BsUserAccountRecord getDetail(Long id);

    /**
     * 查询列表
     * @param param
     * @return
     */
    List<BsUserAccountRecord> getList(Map<String,Object> param);
}
