package com.hfkj.sysenum.user;

import lombok.Getter;

/**
 * 用户等级
 * @className: UserStatusEnum
 * @author: HuRui
 * @date: 2024/9/6
 **/
@Getter
public enum UserGradeEnum {
    /**
     * 见习会员
     */
    grade1(1, "见习会员"),

    /**
     * 正式会员
     */
    grade2(2, "正式会员"),

    /**
     * 团长
     */
    grade3(3, "团长"),

    /**
     * 渠道
     */
    grade4(4, "渠道"),
    ;

    private int code;

    private String name;

    UserGradeEnum(int code, String name) {
        this.code = code;
        this.name = name;
    }
}
