package com.hfkj.sysenum.user;

import lombok.Getter;

/**
 * @className: UserStatusEnum
 * @author: HuRui
 * @date: 2024/5/6
 **/
@Getter
public enum UserStatusEnum {
    /**
     * 删除
     */
    status0(0, "删除"),

    /**
     * 正常
     */
    status1(1, "正常"),

    /**
     * 禁用
     */
    status2(2, "禁用"),

    /**
     * 已注销
     */
    status3(3, "已注销"),
    ;

    private int code;

    private String name;


    UserStatusEnum(int code, String name) {
        this.code = code;
        this.name = name;
    }
}
